Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

fixed non java case to fall back to rubylogger

  • Loading branch information...
commit d4f372294579ce8fd95a7fb4ece16f41d9df90cd 1 parent 5fb010d
@mkristian authored
View
4 History.txt
@@ -1,3 +1,7 @@
+=== 0.3.2 / 2010-06-20
+
+* fixed non java case to fall back to rubylogger
+
=== 0.3.1 / 2010-05-12
* added fatal methods since they are just missing
View
20 MIT-LICENSE
@@ -0,0 +1,20 @@
+Copyright (c) 2010 Kristian Meier
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
View
1  Manifest.txt
@@ -14,7 +14,6 @@ lib/slf4r/noop_logger.rb
lib/slf4r/ruby_logger.rb
lib/slf4r/version.rb
lib/slf4r/wrapped_logger.rb
-load.rb
spec/log4r_logger_spec.rb
spec/logger_helper.rb
spec/logging_logger_spec.rb
View
2  lib/slf4r.rb
@@ -1,6 +1,6 @@
require 'slf4r/logger'
begin
require 'slf4r/java_logger'
-rescue
+rescue LoadError
require 'slf4r/ruby_logger'
end
View
2  lib/slf4r/version.rb
@@ -1,3 +1,3 @@
module Slf4r
- VERSION = '0.3.1'
+ VERSION = '0.3.2'
end
View
20 pom.xml
@@ -5,23 +5,15 @@
<modelVersion>4.0.0</modelVersion>
<groupId>rubygems</groupId>
<artifactId>slf4r</artifactId>
- <version>0.3.2-SNAPSHOT</version>
+ <version>0.3.2</version>
<packaging>gem</packaging>
<name>Slf4r</name>
<description>Slf4r provides a uniform interface for instantiating und using of a logger</description>
<repositories>
<repository>
- <id>rubygems</id>
- <releases>
- <updatePolicy>never</updatePolicy>
- <checksumPolicy>ignore</checksumPolicy>
- </releases>
- <snapshots>
- <enabled>false</enabled>
- </snapshots>
- <url>http://rubygems.org/gems</url>
- <layout>gem</layout>
+ <id>rubygems-releases</id>
+ <url>http://gems.saumya.de/releases</url>
</repository>
</repositories>
@@ -33,8 +25,8 @@
</scm>
<licenses>
<license>
- <name>MIT</name>
- <url>http://www.opensource.org/licenses/mit-license.php</url>
+ <name>MIT-LICENSE</name>
+ <url>./MIT-LICENSE</url>
<distribution>repo</distribution>
</license>
</licenses>
@@ -125,6 +117,6 @@
</build>
<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
- <jruby.plugins.version>0.12.0-SNAPSHOT</jruby.plugins.version>
+ <jruby.plugins.version>0.20.0-SNAPSHOT</jruby.plugins.version>
</properties>
</project>
Please sign in to comment.
Something went wrong with that request. Please try again.